%define mainver %(echo %{version} | sed -e 's/\\([0-9]*\\.[0-9]*\\)\\.[0-9]*/\\1/')
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

%define module  TwistedNames

Name:           python-twisted-names
Version:        15.2.1
Release:        %mkrel 2
Summary:        An DNS protocol implementation with client and server
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/trac/wiki/TwistedNames
Source0:        http://twistedmatrix.com/Releases/Names/%{mainver}/%{module}-%{version}.tar.xz
BuildRequires:  python-devel
BuildRequires:  python-twisted-core
Requires:       python-twisted-core

%description
Twisted Names is both a domain name server as well as a client resolver
library.

Twisted Names comes with an "out of the box" nameserver which can read most
BIND-syntax zone files as well as a simple Python-based configuration format.
Twisted Names can act as an authoritative server, perform zone transfers from
a master to act as a secondary, act as a caching nameserver, or any combination
of these.

Twisted Names' client resolver library provides functions to query for all
commonly used record types as well as a replacement for the blocking
gethostbyname() function provided by the Python stdlib socket module.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf %buildroot
%{__python} setup.py install --root=%{buildroot} --skip-build --install-purelib=%{python_sitearch}


%files
%doc LICENSE README NEWS
%dir %{python_sitearch}/twisted/names
%{python_sitearch}/twisted/names/*
%{python_sitearch}/twisted/plugins/*
%{python_sitearch}/Twisted_Names-%{version}-py%{pyver}.egg-info


%changelog
* Fri Mar 04 2016 bb <bb> 15.2.1-2pclos2016
- rebuild openssl

* Sun Sep 13 2015 bb <bb> 15.2.1-1pclos2015
- update
